Bug 444258

Summary: anaconda locks when system is set to Romanian
Product: [Fedora] Fedora Reporter: Răzvan Sandu <razvan.sandu>
Component: anacondaAssignee: Jeremy Katz <katzj>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: anaconda-maint-list, katzj, mishu, wwoods
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: NeedsRetesting
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-05-05 16:26:13 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235706    

Description Răzvan Sandu 2008-04-26 01:16:43 EDT
Description of problem:

Doing an upgrade via preupgrade locks (indefinitey waits after reboot) when the
upgraded system is set to Romanian (Romanian language, Romanian keyboard).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install fresh Fedora 8.
2. Perform all online updates (as of April 25, 2008)
3. Set the system to Romanian language (language, keyboard) using the
specialised utilities in System -> Administration menu.
4. Install preupgrade and run it. It will work OK in the first phase,
downloading and storing the necessary packages.
5. Reboot and try to complete the upgrade
6. Notice that system will hang up at boot, imediately after the „Starting
/sbin/loader” phase.

Upgrade may be completed by rebooting and changing the settings for Romanian
language (language ro_RO.UTF-8 and keymap ro) to   the English ones in kernel's
command line, when booting via grub.

Actual results:
Upgrade locks after rebooting system, when system is set to Romanian.

Expected results:
Upgrade should perform normally.

Additional info:
Comment 1 Seth Vidal 2008-04-27 23:42:56 EDT
it's not the language - it was an out-of-disk error which wasn't being caught.

0.9.2 in updates-testing/koji fixes this
Comment 2 Will Woods 2008-05-01 13:06:50 EDT
Whoops - the bug Seth mentions is fixed, but that's not the problem here.

Reopening while we investigate further.
Comment 3 Jeremy Katz 2008-05-01 13:23:01 EDT
This is an anaconda bug

If you pass lang= with a language that can't be displayed with our console font
(ro, ja, etc) then you get this condition.  Will fix up 
Comment 4 Jeremy Katz 2008-05-01 13:52:37 EDT
Fixed in git.  Tested with passing a language and not (manually choosing) and
Comment 5 Will Woods 2008-05-05 16:26:13 EDT
Confirmed using ja_JP.UTF-8.